Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform
[Java] Class LogASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.LogASTTransformation

All Implemented Interfaces:
  ASTTransformation

    @GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
    public class LogASTTransformation
    extends java.lang.Object

This class provides an AST Transformation to add a log field to a class.

Authors:
  Guillaume Laforge
  Jochen Theodorou
  Dinko Srkoc
  Hamlet D'Arcy
  Raffaele Cigni
  Alberto Vilches Raton
  Tomasz Bujok
  Martin Ghados
  Matthias Cullmann

Nested Class Summary
`static class` | `LogASTTransformation.AbstractLoggingStrategy`
`interface` | `LogASTTransformation.LoggingStrategy` A LoggingStrategy defines how to wire a new logger instance into an existing class.

Method Summary
`void` | `addError(java.lang.String msg, ASTNode expr, SourceUnit source)`
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addError

    public void addError(java.lang.String msg, ASTNode expr, SourceUnit source)

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

Groovy Documentation